package com.example.smartlab_gazizov

import androidx.compose.foundation.Canvas
import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.material3.Text
import androidx.compose.material3.TextButton
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.geometry.Offset
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.drawscope.Stroke
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp

@Preview
@Composable
fun str2()
{
    Column (modifier = Modifier.fillMaxSize()) {
        Text(text = "Уведомления", fontSize=20.sp, fontFamily= FontFamily.Monospace, color = Color(0xFF00B712), modifier = Modifier.padding(start = 130.dp, top = 280.dp, end = 0.dp, bottom = 0.dp))
        Text(text = "Вы быстро узнаете о результатах", fontSize = 14.sp, color = Color(0xFF939396), modifier = Modifier.padding(start = 75.dp, top = 30.dp, end = 0.dp, bottom = 20.dp))
    }
    Column (modifier = Modifier.fillMaxSize()) {
        TextButton(onClick = { /*TODO*/ }) {
            Text(text = "Пропустить", fontSize = 18.sp, color = Color(0xFF57A9FF), modifier = Modifier.padding(start = 0.dp, top = 10.dp, end = 0.dp, bottom = 0.dp))
        }
    }
    Column(modifier = Modifier.fillMaxSize(2f))
    {
        Image(modifier = Modifier.padding(start = 200.dp, top = 20.dp, end = 0.dp, bottom = 0.dp).width(200.dp), painter = painterResource(id = R.drawable.plus), contentDescription = "", contentScale = ContentScale.FillWidth)
        Image(modifier = Modifier.padding(start = 50.dp, top = 280.dp, end = 50.dp, bottom = 0.dp).width(300.dp), painter = painterResource(id = R.drawable.phonepodstav), contentDescription = "", contentScale = ContentScale.FillWidth)
    }
    Column (modifier = Modifier.padding(top = 350.dp)) {
        Canvas(
            modifier = Modifier.fillMaxWidth()
        ) {
            drawCircle(style = Stroke(3f), color =  Color(0xFF57A9FF), radius = 25f, center = Offset(450f,200f))
            drawCircle(style = Stroke(3f),  color = Color(0xFF57A9FF), radius = 25f, center = Offset(550f,200f))
            drawCircle(color =  Color(0xFF57A9FF), radius = 25f, center = Offset(550f,200f))
            drawCircle(style = Stroke(3f), color =  Color(0xFF57A9FF), radius = 25f, center = Offset(650f,200f))
        }
    }
}